<img src="https://raw.githubusercontent.com/orsa-actual/orsa/master/assets/logo.png" align="right" width="350" />

Orsa Server
===========

The Orsa Server is designed to integrate with the [Orsa project intelligence system](https://github.com/orsa-actual/orsa). The Orsa system has an [orsa-server plugin](https://github.com/orsa-actual/orsa/tree/master/packages/orsa-server-plugin) that you can configure with the data input URL (/api/update).

The Orsa Server serves three purposes. First it stores data mined by the Orsa system and it's plugins. Second, it provides a web UI to navigate and search around the data. And third, it provides a GraphQL endpoint that you can use to query the data.

# GraphQL

[GraphQL](http://graphql.org/) is a standardized query language which is excellent for complex tree structures like those managed by the Orsa Server.

To try out GraphQL for yourself on your Orsa Server surf to [GraphQL UI](http://localhost:3000/graphiql) and use this query:

```
query {
  projects {
    name
    metadata {
      projectType
    }
  }
}
```

The integrated GraphiQL interface is even smart enough to do code hinting if you hit control-space.

# Setup

Orsa Server is based on [Meteor](https://www.meteor.com). So, unless you plan to just use the Docker image, you need to [install Meteor](https://www.meteor.com/install). From there it's a simple matter to install and run, like so:

```
$ meteor update
$ npm i
$ npm start
```

Once Orsa Server is up and running you can hit the [web UI](http://localhost:3000) and have a look around. Or have a browse around the integrated [GraphQL UI](http://localhost:3000/graphiql).

# Using Docker?

We have an easy to deploy [docker image](https://hub.docker.com/r/orsa/orsa-server/).
