import React from 'react';
import {
  Link,
} from 'react-router-dom';
import styles from './header-styles';

export default () => (
  <nav className="navbar navbar-inverse navbar-fixed-top">
    <div className="container">
      <div className="navbar-header">
        <button
          type="button"
          className="navbar-toggle collapsed"
          data-toggle="collapse"
          data-target="#navbar"
          aria-expanded="false"
          aria-controls="navbar"
        >
          <span className="sr-only">Toggle navigation</span>
          <span className="icon-bar" />
          <span className="icon-bar" />
          <span className="icon-bar" />
        </button>
        <Link
          to="/"
          className={[
            'navbar-brand',
            styles.brand,
          ].join(' ')}
        >
          <img
            src="/icon.png"
            alt="Orsa Server"
            className={styles.icon}
            style={{
              display: 'inline-block',
            }}
          />
          <span className={styles.brandText}>Orsa Server</span>
        </Link>
      </div>
      <div id="navbar" className="navbar-collapse collapse">
        <ul className="nav navbar-nav">
          <li className="active"><Link to="/">Home</Link></li>
          <li className="dropdown">
            <a
              href="/"
              className="dropdown-toggle"
              data-toggle="dropdown"
              role="button"
              aria-haspopup="true"
              aria-expanded="false"
            >
              Categories <span className="caret" />
            </a>
            <ul className="dropdown-menu">
              <li><Link to="/">Classes</Link></li>
              <li><Link to="/">Projects</Link></li>
              <li><Link to="/">React Components</Link></li>
            </ul>
          </li>
        </ul>
      </div>
    </div>
  </nav>
);
