import React from 'react';
import { graphql, } from 'react-apollo';
import gql from 'graphql-tag';
import PropTypes from 'prop-types';
import {
  Link,
} from 'react-router-dom';

import styles from './projects-styles.css';

const Projects = ({ projects, }) => (
  <div>
    {projects ? projects.map(project => (
      <div key={project.id}>
        <Link to={`/project/${project.name}`} className={styles.foo}>
          {project.name}
        </Link>
      </div>
    )) : null}
  </div>
);

Projects.propTypes = {
  projects: PropTypes.arrayOf(PropTypes.shape({
    id: PropTypes.string,
    name: PropTypes.string,
    metadata: PropTypes.shape({
      projectType: PropTypes.string,
    }),
  })),
};

Projects.defaultProps = {
  projects: [],
};

const PROJECTS_GQL = gql`
{
  projects {
    id
    name
    metadata {
      projectType
    }
  }
}
`;

const WrappedProjects = graphql(PROJECTS_GQL, {
  props: ({ data: { projects, }, }) => ({
    projects: projects || [],
  }),
})(Projects);

WrappedProjects.Projects = Projects;

export default WrappedProjects;
