/* eslint no-undef: 0 */
import React from 'react';
import {
  FormGroup,
  FormControl,
  InputGroup,
  Glyphicon,
} from 'react-bootstrap';
import PropTypes from 'prop-types';

import SearchResults from './search-results';

class SearchPage extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      text: (new URLSearchParams(this.props.location.search)).get('q') || '',
    };
  }

  render() {
    return (
      <div>
        <FormGroup>
          <InputGroup>
            <FormControl
              type="text"
              value={this.state.text}
              onChange={({ target, }) => {
                this.setState({
                  text: target.value,
                });
              }}
            />
            <InputGroup.Addon>
              <Glyphicon glyph="search" />
            </InputGroup.Addon>
          </InputGroup>
        </FormGroup>
        <SearchResults text={this.state.text} />
      </div>
    );
  }
}

SearchPage.propTypes = {
  location: PropTypes.shape({
    search: PropTypes.string,
  }),
};

SearchPage.defaultProps = {
  location: {
    search: '?q=',
  },
};

export default SearchPage;
