/* eslint no-undef: 0 */
import React from 'react';
import { Meteor, } from 'meteor/meteor';
import { render, } from 'react-dom';
import ApolloClient from 'apollo-client';
import { meteorClientConfig, } from 'meteor/apollo';
import { ApolloProvider, } from 'react-apollo';
import {
  BrowserRouter as Router,
  Route,
} from 'react-router-dom';

import Projects from './components/projects';
import Project from './components/project';
import Header from './components/header';
import Footer from './components/footer';
import SearchPage from './components/search-page';

import styles from './main.css';

const client = new ApolloClient(meteorClientConfig());

const App = () => (
  <Router>
    <div>
      <Header />
      <div
        className={
          [
            'container',
            styles.container,
          ].join(' ')
        }
      >
        <Route exact path="/" component={Projects} />
        <Route path="/project/:name" component={Project} />
        <Route path="/search" component={SearchPage} />
        <Footer />
      </div>
    </div>
  </Router>
);

Meteor.startup(() => {
  render(
    <ApolloProvider client={client}>
      <App />
    </ApolloProvider>,
    document.getElementById('app'));
});
