import React from 'react';
import { graphql, } from 'react-apollo';
import gql from 'graphql-tag';
import PropTypes from 'prop-types';

import styles from './projects.css';

const Projects = ({ projects, }) => (
  <div>
    {projects ? projects.map(project => (
      <div key={project.id} className={styles.foo}>
        {project.name}
      </div>
    )) : null}
  </div>
);

Projects.propTypes = {
  projects: PropTypes.arrayOf(PropTypes.shape({
    id: PropTypes.string,
    name: PropTypes.string,
    metadata: PropTypes.shape({
      projectType: PropTypes.string,
    }),
  })),
};

Projects.defaultProps = {
  projects: [],
};

const PROJECTS_GQL = gql`
{
  projects(name: "") {
    id
    name
    metadata {
      projectType
    }
  }
}
`;

export default graphql(PROJECTS_GQL, {
  props: ({ data: { projects, }, }) => ({
    projects: projects || [],
  }),
})(Projects);
