import { createApolloServer, } from 'meteor/apollo';
import { makeExecutableSchema, } from 'graphql-tools';
import bodyParser from 'body-parser';
import { Meteor, } from 'meteor/meteor';
import typeDefs from '../imports/api/schema';
import resolvers from '../imports/api/resolvers';

import messageDistributor from '../imports/data-managers';

const schema = makeExecutableSchema({
  typeDefs,
  resolvers,
});

let dataQueue = [];

const watchQueue = () => {
  dataQueue.forEach((data) => {
    messageDistributor(data);
  });
  dataQueue = [];
  Meteor.setTimeout(watchQueue, 100);
};

Meteor.setTimeout(watchQueue, 100);

createApolloServer({
  schema,
}, {
  configServer: (expressServer) => {
    expressServer.use(bodyParser.json());
    expressServer.post('/api/update', (req, res) => {
      dataQueue.push(req.body);
      res.send({
        ok: true,
      });
    });
  },
});
